package com.lightinit.hsdataplatformresdir.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class CompanyUserDataModel {
    private Long id;

    private String companyName;

    private String address;

    private String commercialInstrument;

    private String taxRegistrationCertificate;

    private String orgCode;

    private String contact;

    private String idCard;

    private String phone;

    private String email;

    private String serviceCategory;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date createdAt;

    private String authResult;

    private String authOpinion;

    private String serviceTag;

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCommercialInstrument() {
        return commercialInstrument;
    }

    public void setCommercialInstrument(String commercialInstrument) {
        this.commercialInstrument = commercialInstrument;
    }

    public String getTaxRegistrationCertificate() {
        return taxRegistrationCertificate;
    }

    public void setTaxRegistrationCertificate(String taxRegistrationCertificate) {
        this.taxRegistrationCertificate = taxRegistrationCertificate;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getServiceCategory() {
        return serviceCategory;
    }

    public void setServiceCategory(String serviceCategory) {
        this.serviceCategory = serviceCategory;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getAuthResult() {
        return authResult;
    }

    public void setAuthResult(String authResult) {
        this.authResult = authResult;
    }

    public String getAuthOpinion() {
        return authOpinion;
    }

    public void setAuthOpinion(String authOpinion) {
        this.authOpinion = authOpinion;
    }
}
